/// <reference types="node" />
import http from 'http';
interface Dependency {
    dependents: Set<string>;
    dependencies: Set<string>;
    isHmrEnabled: boolean;
    needsReplacement: boolean;
}
export declare class EsmHmrEngine {
    clients: http.ServerResponse[];
    dependencyTree: Map<string, Dependency>;
    createEntry(sourceUrl: string): Dependency;
    getEntry(sourceUrl: string, createIfNotFound?: boolean): Dependency | null;
    setEntry(sourceUrl: string, imports: string[], isHmrEnabled: boolean): void;
    removeRelationship(sourceUrl: string, importUrl: string): void;
    addRelationship(sourceUrl: string, importUrl: string): void;
    markEntryForReplacement(entry: Dependency, state: boolean): void;
    broadcastMessage(channel: string, data: object): void;
    connectClient(res: http.ServerResponse): void;
    disconnectClient(client: http.ServerResponse): void;
    disconnectAllClients(): void;
}
export {};
